kpatch (0.9.9-6) unstable; urgency=medium

  * d/control: Remove gcc-12-plugin-dev from Build Dependency. Replace
    g++-12 [ppc64el] by g++-14 [ppc64el] (Closes: #1092202).

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 25 Jan 2025 14:18:49 -0300

kpatch (0.9.9-5) unstable; urgency=medium

  * d/patches/remove_cdo_flag_from_script_not_used.patch: Update patch to
    force use --klp-patch in create-diff-object script.
  * d/patches/fix-find-locals_syms.patch: Add patch to look for __pfx_ symbols
    in objects.

 -- Emmanuel Arias <eamanu@debian.org>  Tue, 03 Dec 2024 16:59:42 -0300

kpatch (0.9.9-4) unstable; urgency=medium

  * Remove build-dependecy on g++-11* [ppc64el]
  * wrap-and-sort -ast
  * Enable wrap-and-sort job in Salsa CI
  * Declare compliance with Standards-Version 4.7.0.1
  * Add VCS links to debian/control

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 08 Nov 2024 06:59:48 -0300

kpatch (0.9.9-3) unstable; urgency=medium

  * d/gbp.conf: configure debian/latest as default branch for gbp.
  * d/control: Add gcc-14-plugin-dev as Build Depends to obtain
    bversion.h header in ppc64el arch (Closes: #1079032).

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 07 Sep 2024 22:31:43 -0300

kpatch (0.9.9-2) unstable; urgency=medium

  * Remove aliased file /lib/systemd/system/kpatch.service (DEP17). Thanks to
    Helmut Grohne. (Closes: #1077036)

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 29 Jul 2024 16:57:54 +0900

kpatch (0.9.9-1) unstable; urgency=low

  [ Santiago Ruano Rincón ]
  * New upstream version 0.9.9
  * Update and refresh d/patches/*
  * Update d/patches/shellcheck.patch (Closes: #1029189)
  * Move kpatch-build dependency from pkg-config to pkgconf
  * Wrap and sort
  * Add initial debian/salsa-ci.yml
  * Add Emmanuel and myself as Uploaders (Closes: #1073855)

  [ Emmanuel Arias ]
  * d/patches/handle_paravirt_absence_linux_v6.8+.patch: Add an upsream patch
    to fix an issue in kpatch-build when it try to check paravirt patching
    code that was removed from linux v6.8+.
  * d/patches/remove_cdo_flag_from_script_not_used.patch: Add patch to remove
    CDO_FLAGS variable from the create-diff-object call.
  * d/patches/handle_paravirt_absence_linux_v6.8+.patch: Add an upsream patch
    to fix an issue in kpatch-build when it try to check paravirt patching
    code that was removed from linux v6.8+.
  * d/patches/remove_cdo_flag_from_script_not_used.patch: Add patch to remove
    CDO_FLAGS variable from the create-diff-object call.

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 11 Jul 2024 17:47:56 -0300

kpatch (0.9.7-2) experimental; urgency=medium

  [ Benjamin M Romer ]
  * Further modification to ignore-lubsan-sections to skip altered lubsan
    data.

  [ Dimitri John Ledkov ]
  * Drop libunwind-dev runtime dependency, should not be needed to build
    kernel vmlinux or modules.
  * Make backporting on ppc64el easier by build-depending on both gcc-11
    and gcc-12 plugin development.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 28 Nov 2022 21:07:55 +0000

kpatch (0.9.7-1) experimental; urgency=medium

  * Upload to Debian experimental, it's not perfect, but better than
    current situation.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 21 Oct 2022 14:42:04 +0100

kpatch (0.9.7-0ubuntu1) devel; urgency=medium

  [ Benjamin M Romer ]
  * Upgrade to latest release
  * The following patches were updated and carried forward
     - shellcheck.patch
     - kpatch-build-adjust-dirs.patch
     - use-debian-rules-for-ubuntu.patch
     - ubuntu-kernel-variants.patch
     - add ignore-lubsan-sections.patch

  [ Dimitri John Ledkov ]
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Add debian/watch file, using github.
  * Add pahole depends on kpatch-build
  * Drop linux-header Depends from kpatch, packages in the archive must
    not depend on linux-headers, as it cannot know which ones are needed
    for any given kernel.
  * Update homepage URL to https
  * Do not install upstart job
  * Drop include-binaries stanzas, source packages must not include
    pre-built binaries.
  * Bump standards version
  * Drop unused VERSION variable from debian/rules
  * Delete embeded .git repository

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 21 Oct 2022 14:07:12 +0100

kpatch (0.8.0-0ubuntu8) impish; urgency=medium

  * Depend on python3-dev instead of python2-dev, c.f.:
    github.com/dynup/kpatch/commit/4df66fa15f95c86946050ae969658c17caebc0d2

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 11 May 2021 16:03:30 +0200

kpatch (0.8.0-0ubuntu7) hirsute; urgency=medium

  * Revert the last change, and build explicitly with GCC 9.
    kpatch 0.8 is not ready for GCC 10. There is 0.9.2 ...

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Dec 2020 13:00:04 +0100

kpatch (0.8.0-0ubuntu5) hirsute; urgency=medium

  * Build using gcc-10-plugin-dev.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Dec 2020 12:50:48 +0100

kpatch (0.8.0-0ubuntu4) hirsute; urgency=medium

  * Merge packaging fixes from 0.6.0-0.2 0.6.0-0.1 and 0.3.2-3.1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Dec 2020 16:03:59 +0100

kpatch (0.8.0-0ubuntu3) hirsute; urgency=medium

  * Drop dh-systemd runtime dependency with debhelper >=10

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Dec 2020 13:08:00 +0100

kpatch (0.8.0-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:45:05 +0100

kpatch (0.8.0-0ubuntu1) focal; urgency=low

  [ Benjamin M Romer ]
  * Upstream bump to 0.8.0
  * These remaining patches have been refreshed to apply to the updated
     upstream:
     - kpatch-build-adjust-dirs.patch
     - use-debian-rules-for-ubuntu-builds.patch
     - ubuntu-kernel-variants.patch
  * Packaging changes to produce only kpatch and kpatch-build
     - kpatch-dkms will be deprecated in the upstream soon
     - kmod-fix-symbol-lookup-on-linux-4.19.patch no longer needed
  * Enhance ubuntu-kernel-variants.patch to support additional kernel flavors
  * Added missing devscripts dependency, required by kpatch-build
  * Added elfutils dependency for ppc64el support
  * Added gcc plugin devpackage dependency for ppc64el support
  * Extra patch for xenial shellcheck version

  [ Matthias Klose ]
  * Depend on python2-dev instead of python-dev.

 -- Benjamin M Romer <benjamin.romer@canonical.com>  Tue, 21 Jan 2020 16:12:05 +0100

kpatch (0.5.0-0ubuntu2) disco; urgency=medium

  * Import v0.6 pataches from unstable for v4.19/v5 compat.
  * Add more shellcheck fixes.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 18 Feb 2019 09:39:39 +0100

kpatch (0.5.0-0ubuntu1) bionic; urgency=low

   * Upstream bump to 0.5.0 (LP: #1763065).
   * Drop patches that are present in the upstream release:
     - kpatch-build-works-without-kpatch-kmod.patch
     - kmod-core-fix-stacktrace_ops-address-function-protot.patch
     - create-diff-object-fix-WARN-_ONCE-detection-on-newer.patch
     - use-livepatch-4.5-kernel-features.patch
   * output-kernel-build-in-debug.patch was dropped to reduce build output.
   * These remaining patches have been updated to apply to the refreshed
     upstream:
     - kpatch-build-adjust-dirs.patch
     - use-debian-rules-for-ubuntu-builds.patch
     - ubuntu-kernel-variants.patch
   * The shellcheck linter is called during packaging, to verify the quality of
     the scripts used in the package.
   * List the Ubuntu Kernel Team as the package maintainer in the control file
   * kmod/core: fix stacktrace_ops 'address' function prototype for 4.6 (LP: #1665613, #1659581)

 -- Benjamin M Romer <benjamin.romer@canonical.com>  Wed, 11 Apr 2018 21:41:51 -0400

kpatch (0.3.2-3ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add additional depends for building Ubuntu kernel
    - Ubuntu Specific Patches:
      - output-kernel-build-in-debug.patch
      - ubuntu-kernel-variants.patch
      - use-debian-rules-for-ubuntu-builds.patch
      - use-livepatch-4.5-kernel-features.patch
      - use-ubuntu-utsrelease-for-kpatch-build.patch
    - make dpks updates dir in post-dkms.sh script

 -- Chris J Arges <chris.j.arges@canonical.com>  Tue, 16 Aug 2016 08:41:04 -0500

kpatch (0.6.0-0.2) unstable; urgency=medium

  * Non-maintainer upload
  * kmod: Fix symbol lookup on Linux 4.19 (Closes: #917861)
  * dkms: Pass target kernel version to the upstream clean target
    (Closes: #917860)
  * kpatch-build: Fix clean target

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 07 Jan 2019 19:39:23 +0000

kpatch (0.6.0-0.1) unstable; urgency=medium

  [Simon Ruderich]
  * Non-maintainer upload.
  * New upstream release. (Closes: #872413)

  [Nobuhiro Iwamatsu]
  * Add patches/Fix-build-err-by-Werror-maybe-uninitialized.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 16 Jun 2018 07:23:46 +0900

kpatch (0.3.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixes for Linux 4.9: (Closes: #851750)
    - Dropped patch kmod-core-fix-stacktrace_ops-address-function-protot.patch
    - Added patch kmod-core-use-save_stack_trace_tsk-backport.patch: backport
      of upstream commit 586feb40fe116b70d3ac752359706c3e1fafe4ea.
    Thanks to James Beck for the initial revision of this patch.

 -- Chris Boot <bootc@debian.org>  Sat, 01 Apr 2017 20:33:40 +0100

kpatch (0.3.2-3) unstable; urgency=medium

  * Fixes for Linux 4.6. (Closes: #832091)

 -- Chris J Arges <chris.j.arges@canonical.com>  Wed, 27 Jul 2016 12:22:10 +0200

kpatch (0.3.2-2) unstable; urgency=medium

  * Install kpatch.service file correctly. (Closes: #828193)
  * Update standards version.

 -- Chris J Arges <chris.j.arges@canonical.com>  Mon, 27 Jun 2016 14:01:29 -0500

kpatch (0.3.2-1ubuntu6) yakkety; urgency=medium

  * Allow kpatch-build to build for Ubuntu flavors. (LP: #1586515)

 -- Benjamin M Romer <benjamin.romer@canonical.com>  Tue, 24 May 2016 11:09:54 -0400

kpatch (0.3.2-1ubuntu5) yakkety; urgency=medium

  * Use debian/rules to build the kernel (LP: #1578661)
  * During kernel builds, generate output when not in debug mode to
    prevent builders timing out due to the build appearing hung (LP: #1570012)

 -- Benjamin M Romer <benjamin.romer@canonical.com>  Wed, 04 May 2016 12:49:33 -0400

kpatch (0.3.2-1ubuntu4) xenial; urgency=medium

  [ Chris J Arges ]
  * Use Build-Depends from the Ubuntu linux source package.

  [ Benjamin M Romer ]
  * When running in debug mode, write the linux build output to stdout as well
    as the log file. (LP: #1566924)

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 07 Apr 2016 09:20:33 +0100

kpatch (0.3.2-1ubuntu3) xenial; urgency=medium

  * Generate UTS_UBUNTU_RELEASE_ABI for utsrelease.h instead of previous
    attempt. (LP: #1566460)

 -- Chris J Arges <chris.j.arges@canonical.com>  Tue, 05 Apr 2016 18:01:53 +0100

kpatch (0.3.2-1ubuntu2) xenial; urgency=medium

  * Use utsrelease.h as generated in linux-headers-`uname -r` instead of
    regenerating it. (LP: #1560216)

 -- Chris J Arges <chris.j.arges@canonical.com>  Mon, 21 Mar 2016 15:46:31 -0500

kpatch (0.3.2-1ubuntu1) xenial; urgency=medium

  * Ensure we use sympos structures for patched Ubuntu v4.4 kernel.
    (LP: #1548430)

 -- Chris J Arges <chris.j.arges@canonical.com>  Mon, 22 Feb 2016 13:09:36 -0500

kpatch (0.3.2-1) unstable; urgency=medium

  * New upstream release.
    Dropped patches:
    - make-kmod-conditional.patch
    - kmod-core-fix-message.patch
    - kpatch-build-allow-external-ldflags.patch

 -- Chris J Arges <chris.j.arges@canonical.com>  Wed, 17 Feb 2016 16:11:19 -0600

kpatch (0.3.1-2) unstable; urgency=medium

  * Ensure dkms builds for KERNELRELEASE instead of uname -r. (Closes: #812254)
  * Add kernel-wedge, gawk, bc as dependencies for kpatch-build.
  * Don't require kpatch kmod for kpatch-build.
  * Remove dependency on kpatch-dkms for kpatch-build.

 -- Chris J Arges <chris.j.arges@canonical.com>  Fri, 22 Jan 2016 08:12:06 -0600

kpatch (0.3.1-1) unstable; urgency=medium

  * Initial release (Closes: #810268)

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 07 Jan 2016 10:03:07 -0600
